| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetSubscriberListRequest Struct Reference
Subscriber

Get Subscriber List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | InterfaceWsdl
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
unsp__ServiceId | ServiceId
| Allows filtering for a subscriber with a specific Service ID. More...
char * | COS
| Allows filtering for subscribers with a specific Class of Service. More...
char * | RateArea
| Allows filtering for subscribers with a specific Rate Area. More...
char * | AccountId
| Allows filtering for subscribers with a specific Account Id. More...
char * | RetailerId
| Allows filtering for subscribers with a specific Billing Id. More...
unsp__ServiceId | BillingId
| Allows filtering for subscribers with a specific Billing Id. More...
enum unsp__SubscriberStatus * | SubscriberStatus
| Allows filtering for subscribers with a specific status. More...
enum unsp__InterceptAnnouncement * | InterceptAnnouncement
| Allows filtering for blocked subscribers with a specific announcement intercept. More...
unsp__BGName | BGName
| Allows filtering for subscribers under a specific Business Group. More...
struct unsp__ExcludedBGNamesList * | ExcludedBGNamesList
| A list of Business Group Names that will be filtered out from the results. More...
char * | BranchOfficeName
| Allows filtering for subscribers under a specific Branch Office. More...
wchar_t * | BGLineName
| Allows filtering for subscribers with a specific BG Line Name. More...
wchar_t * | displayName
| Allows filtering for subscribers with a specific Display Name. More...
int * | CpuId
| Allows filtering for subscribers with a specific Call Pickup Group ID. More...
int * | MinCpuId
| If filled in alone, the function will return all subscribers with Call Pickup Group ID above the one specified. More...
int * | MaxCpuId
| If filled in alone, the function will return all subscribers with Call Pickup Group ID below the one specified. More...
xsd__dateTime | ProvDateOpLast
| If set, Records returned will be entries logged after this specified date. More...
struct unsp__Features * | Features
| Allows filtering for subscribers assigned with specific Features. More...
struct unsp__FeatureProfileId * | FeatureProfileId
| Allows filtering for subscribers assigned with a specific Feature Profile. More...
unsp__BGDeptName | BGDeptName
| Allows filtering for subscribers under a Specific Billing BG Department. More...
struct unsp__BGDeptNameList * | BGDeptNameList
| Used to provide multiple filter value selection for BGDeptName. More...
xsd__boolean * | isMlhgPilot
| If true, specifies that only MLHG Pilot DNs will be returned. More...
xsd__boolean * | isMlhgMember
| If true, specifies that only MLHG members will be returned. More...
int * | MaxSubscribers
| The maximum number of subscribers to be returned in the response list. More...
struct unsp__ListOfFeatures * | ListOfFeatures
char * | CallingLoc
| Allows filtering for subscribers with a specific Calling Location. More...
unsp__NumberPlanName | NumberPlanName
| Allows filtering for subscribers assigned with a specific Number Plan. More...
struct unsp__NumberPlanNameList * | NumberPlanNameList
| Used to provide multiple filter value selection for NumberPlanName. More...
enum unsp__ConnectionType * | ConnectionType
| Allows filtering for subscribers with a specific Connection Type. More...
struct unsp__KeysetUseList * | KeysetUseList
| Used to provide multiple filter value selection for Keyset Use. More...
struct unsp__GetSubListSortList * | GetSubListSortList
| Used to provide multiple Sorting value. More...
struct unsp__GetSubscriberListDataOptionList * | DataOptionList
| Provides selection of extra data fields to be included in the result structure. More...
enum unsp__VIPType * | VIPType
| Allows filtering for subscribers with a specific VIP Type. More...
unsp__ServiceId | ExternalCallerID
| Allows filtering for subscribers with a specific External Caller ID. More...
xsd__boolean * | isMobileDroidDN
| Allows filtering for subscribers that are Mobile Droid DNs. More...
xsd__boolean * | SILMATagIsEnabled
| Allows filtering for subscribers for which SILM Tag is enabled. More...
xsd__int * | OutgoingCallSupervisionTimer
| Allows filtering for subscribers with a specific Outgoing Call Supervision Timer. More...
struct unsp__Features * | FeaturesAssigned
| A list of features on which to filter. More...
unsp__ServiceId | MobileClientProfileName
| Allows filtering for subscribers with a specific OSMO mobile client profile name. More...
enum unsp__SubscriberProvisionedLicenseType * | SubscriberProvisionedLicenseType
| Allows filtering for subscribers according to their provisioned license type (Dynamic,essential, basic). More...
char * | OnsSubscriber
| Allows filtering for subscribers with a specific ONS subscriber set. More...
xsd__boolean * | isExecAssistantGroupsDN
| Allows filtering for subscribers that are members of Executive Assistant Groups. More...
xsd__boolean * | RecordAllCalls
| Allows filtering for subscribers where RecordAllCalls field has been set. More...

## Detailed Description

Get Subscriber List request.

Used by unsp__GetSubscriberList()

## Member Data Documentation

## ◆ AccountId

char* unsp__GetSubscriberListRequest::AccountId

Allows filtering for subscribers with a specific Account Id.

required: false
default value[range]: NA [1..15]

## ◆ BGDeptName

unsp__BGDeptName unsp__GetSubscriberListRequest::BGDeptName

Allows filtering for subscribers under a Specific Billing BG Department.

required: false

See also
  unsp__BGDeptName

## ◆ BGDeptNameList

struct unsp__BGDeptNameList* unsp__GetSubscriberListRequest::BGDeptNameList

Used to provide multiple filter value selection for BGDeptName.

Cannot be used concurrently with BGDeptName.
required: false

## ◆ BGLineName

wchar_t* unsp__GetSubscriberListRequest::BGLineName

Allows filtering for subscribers with a specific BG Line Name.

The field may containt the % wildcard character.
required: false
default value[range]: NA [1..60]

## ◆ BGName

unsp__BGName unsp__GetSubscriberListRequest::BGName

Allows filtering for subscribers under a specific Business Group.

required: false

See also
  unsp__BGName

## ◆ BillingId

unsp__ServiceId unsp__GetSubscriberListRequest::BillingId

Allows filtering for subscribers with a specific Billing Id.

required: false
default value[range]: NA [1..15]

## ◆ BranchOfficeName

char* unsp__GetSubscriberListRequest::BranchOfficeName

Allows filtering for subscribers under a specific Branch Office.

required: false
default value[range]: NA [1..30]

## ◆ CallingLoc

char* unsp__GetSubscriberListRequest::CallingLoc

Allows filtering for subscribers with a specific Calling Location.

required: false
default value[range]: NA

## ◆ ConnectionType

enum unsp__ConnectionType* unsp__GetSubscriberListRequest::ConnectionType

Allows filtering for subscribers with a specific Connection Type.

required: false
default value[range]: NA

## ◆ COS

char* unsp__GetSubscriberListRequest::COS

Allows filtering for subscribers with a specific Class of Service.

required: false

See also
  unsp__COSName

## ◆ CpuId

int* unsp__GetSubscriberListRequest::CpuId

Allows filtering for subscribers with a specific Call Pickup Group ID.

required: false
default value[range]: NA [1..10000]

## ◆ DataOptionList

struct unsp__GetSubscriberListDataOptionList* unsp__GetSubscriberListRequest::DataOptionList

Provides selection of extra data fields to be included in the result structure.

required: false

## ◆ displayName

wchar_t* unsp__GetSubscriberListRequest::displayName

Allows filtering for subscribers with a specific Display Name.

The field may containt the % wildcard character.
required: false
default value[range]: NA [1..60]

## ◆ ExcludedBGNamesList

struct unsp__ExcludedBGNamesList* unsp__GetSubscriberListRequest::ExcludedBGNamesList

A list of Business Group Names that will be filtered out from the results.

required: false

## ◆ ExternalCallerID

unsp__ServiceId unsp__GetSubscriberListRequest::ExternalCallerID

Allows filtering for subscribers with a specific External Caller ID.

required: false
default value[range]: NA

## ◆ FeatureProfileId

struct unsp__FeatureProfileId* unsp__GetSubscriberListRequest::FeatureProfileId

Allows filtering for subscribers assigned with a specific Feature Profile.

required: false

## ◆ Features

struct unsp__Features* unsp__GetSubscriberListRequest::Features

Allows filtering for subscribers assigned with specific Features.

required: false

## ◆ FeaturesAssigned

struct unsp__Features* unsp__GetSubscriberListRequest::FeaturesAssigned

A list of features on which to filter.

Only subscribers that have the given features assigned will be returned. The following Features are supported:

- BgLC
- CCBS
- CCNR

required: false
default value[range]: NA

## ◆ GetSubListSortList

struct unsp__GetSubListSortList* unsp__GetSubscriberListRequest::GetSubListSortList

Used to provide multiple Sorting value.

required: false

## ◆ InterceptAnnouncement

enum unsp__InterceptAnnouncement* unsp__GetSubscriberListRequest::InterceptAnnouncement

Allows filtering for blocked subscribers with a specific announcement intercept.

required: false
default value[range]: NA [1..15]

## ◆ InterfaceWsdl

char* unsp__GetSubscriberListRequest::InterfaceWsdl

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ isExecAssistantGroupsDN

xsd__boolean* unsp__GetSubscriberListRequest::isExecAssistantGroupsDN

Allows filtering for subscribers that are members of Executive Assistant Groups.

required: false
default value[range]: NA

## ◆ isMlhgMember

xsd__boolean* unsp__GetSubscriberListRequest::isMlhgMember

If true, specifies that only MLHG members will be returned.

required: false
default value[range]: NA

## ◆ isMlhgPilot

xsd__boolean* unsp__GetSubscriberListRequest::isMlhgPilot

If true, specifies that only MLHG Pilot DNs will be returned.

required: false
default value[range]: NA

## ◆ isMobileDroidDN

xsd__boolean* unsp__GetSubscriberListRequest::isMobileDroidDN

Allows filtering for subscribers that are Mobile Droid DNs.

required: false
default value[range]: NA

## ◆ KeysetUseList

struct unsp__KeysetUseList* unsp__GetSubscriberListRequest::KeysetUseList

Used to provide multiple filter value selection for Keyset Use.

required: false

## ◆ ListOfFeatures

struct unsp__ListOfFeatures* unsp__GetSubscriberListRequest::ListOfFeatures

Deprecated:
  NA

## ◆ MaxCpuId

int* unsp__GetSubscriberListRequest::MaxCpuId

If filled in alone, the function will return all subscribers with Call Pickup Group ID below the one specified.

In conjuction with MinCpuId a range is provided. Cannot be used concurrently with CpuId.
required: false
default value[range]: NA [1..10000]

## ◆ MaxSubscribers

int* unsp__GetSubscriberListRequest::MaxSubscribers

The maximum number of subscribers to be returned in the response list.

required: false
default value[range]: NA

## ◆ MinCpuId

int* unsp__GetSubscriberListRequest::MinCpuId

If filled in alone, the function will return all subscribers with Call Pickup Group ID above the one specified.

In conjuction with MaxCpuId a range is provided. Cannot be used concurrently with CpuId.
required: false
default value[range]: NA [1..10000]

## ◆ MobileClientProfileName

unsp__ServiceId unsp__GetSubscriberListRequest::MobileClientProfileName

Allows filtering for subscribers with a specific OSMO mobile client profile name.

required: false
default value[range]: NA

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetSubscriberListRequest::NumberPlanName

Allows filtering for subscribers assigned with a specific Number Plan.

required: false

See also
  unsp__NumberPlanName

## ◆ NumberPlanNameList

struct unsp__NumberPlanNameList* unsp__GetSubscriberListRequest::NumberPlanNameList

Used to provide multiple filter value selection for NumberPlanName.

Cannot be used concurrently with NumberPlanName.
required: false

## ◆ OnsSubscriber

char* unsp__GetSubscriberListRequest::OnsSubscriber

Allows filtering for subscribers with a specific ONS subscriber set.

Such subscribers could be Mobile Clients or OND Only Clients.
required: false
default value[range]: NA [1..15]

## ◆ OutgoingCallSupervisionTimer

xsd__int* unsp__GetSubscriberListRequest::OutgoingCallSupervisionTimer

Allows filtering for subscribers with a specific Outgoing Call Supervision Timer.

required: false
default value[range]: NA

## ◆ Paging

struct unsp__Paging* unsp__GetSubscriberListRequest::Paging

Standard paging structure.

required: false

## ◆ ProvDateOpLast

xsd__dateTime unsp__GetSubscriberListRequest::ProvDateOpLast

If set, Records returned will be entries logged after this specified date.

required: false
default value[range]: NA

## ◆ RateArea

char* unsp__GetSubscriberListRequest::RateArea

Allows filtering for subscribers with a specific Rate Area.

required: false

See also
  unsp__RateAreaName

## ◆ RecordAllCalls

xsd__boolean* unsp__GetSubscriberListRequest::RecordAllCalls

Allows filtering for subscribers where RecordAllCalls field has been set.

required: false
default value[range]: NA

## ◆ RetailerId

char* unsp__GetSubscriberListRequest::RetailerId

Allows filtering for subscribers with a specific Billing Id.

required: false
default value[range]: NA [1..15]

## ◆ ServiceId

unsp__ServiceId unsp__GetSubscriberListRequest::ServiceId

Allows filtering for a subscriber with a specific Service ID.

required: false

See also
  unsp__ServiceId

## ◆ SILMATagIsEnabled

xsd__boolean* unsp__GetSubscriberListRequest::SILMATagIsEnabled

Allows filtering for subscribers for which SILM Tag is enabled.

required: false
default value[range]: NA

## ◆ SubscriberProvisionedLicenseType

enum unsp__SubscriberProvisionedLicenseType* unsp__GetSubscriberListRequest::SubscriberProvisionedLicenseType

Allows filtering for subscribers according to their provisioned license type (Dynamic,essential, basic).

required: false
default value[range]: NA

## ◆ SubscriberStatus

enum unsp__SubscriberStatus* unsp__GetSubscriberListRequest::SubscriberStatus

Allows filtering for subscribers with a specific status.

required: false
default value[range]: NA

## ◆ VIPType

enum unsp__VIPType* unsp__GetSubscriberListRequest::VIPType

Allows filtering for subscribers with a specific VIP Type.

required: false
default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h